# $Revision: 1.13 $, $Date: 2005/05/16 11:41:14 $
Summary:	Simplifies compiling and installing software by providing a graphical interface
Summary(pl):	Graficzny interfejs upraszczajcy kompilacj i instalowanie oprogramowania
Name:		kconfigure
Version:	2.1
Release:	2
License:	GPL
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/kconfigure/%{name}-%{version}.tar.gz
# Source0-md5:	5b9094af94efdc65ec14fe7f5a7c7ef8
URL:		http://kconfigure.sourceforge.net/
BuildRequires:	automake
BuildRequires:	kdebase-devel
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kconfigure is a KDE program to compile the sources without the xterm
or other text terminal. Easy to use, click in konqueror the configure
file and configure, make and install the sources in the gui with
kconfigure.

%description -l pl
Kconfigure jest programem pod KDE sucym do kompilacji rde bez
xterma czy innego terminala tekstowego. Jest atwy w uyciu, wystarczy
klikn w konquerorze na pliku configure aby przej przez proces
konfiguracji, kompilacji i instalacji rde w graficznym interfejsie
kconfigure.

%prep
%setup -q -n %{name}

sed -i -e 's/^Categories=.*/Categories=Qt;KDE;Development;Building;/' kconfigure/kconfigure.desktop

%build
cp -f /usr/share/automake/config.sub admin
%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	mangdir=%{_mandir}/man1

gzip -d $RPM_BUILD_ROOT%{_mandir}/man1/kconfigure.1.gz

install -d $RPM_BUILD_ROOT%{_desktopdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/kconfigure.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/kconfigure
%{_datadir}/apps/kconfigure
%{_iconsdir}/hicolor/16x16/apps/kconfigure.png
%{_iconsdir}/hicolor/32x32/apps/kconfigure.png
%{_iconsdir}/hicolor/32x32/mimetypes/configure.png
%{_iconsdir}/hicolor/48x48/apps/kconfigure.png
%{_iconsdir}/hicolor/48x48/mimetypes/configure.png
%{_desktopdir}/kconfigure.desktop
%{_datadir}/mimelnk/text/x-configure.desktop
%{_mandir}/man1/kconfigure.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kconfigure.spec,v $
Revision 1.13  2005/05/16 11:41:14  ankry
- BR:kdebase-devel, rel. 2

Revision 1.12  2005/03/31 20:10:21  qboosh
- up to 2.1 (partially based on ooold diff by charles)

Revision 1.11  2005/02/27 10:58:44  darekr
- unified

Revision 1.10  2004/09/04 09:48:22  qboosh
- _kdedocdir needs macros 1.129

Revision 1.9  2004/09/03 22:32:47  ankry
- cosmetics

Revision 1.8  2004/09/02 15:40:27  djurban
- fix BR

Revision 1.7  2004/09/02 15:35:41  djurban
- rel 2 someone sent it to ac without fixing, laziness::max()?

Revision 1.6  2004/09/02 15:33:34  djurban
- pldized() stbr

Revision 1.5  2003/05/28 12:59:18  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/03 23:24:47  qboosh
- cleanup, changed _prefix for HEAD
- added missing dirs, use more macros and find_lang

Revision 1.2  2003/02/28 11:59:58  jasio
- Small fix in files and log section.
